scim::CommonBackEnd Class Reference

The default implementation of scim::BackEndBase interface. More...

`#include <scim_backend.h>`

## Public Member Functions

| CommonBackEnd (const ConfigPointer &config, const std::vector< String > &modules)
| Constructor.
virtual | ~CommonBackEnd ()
Public Member Functions inherited from scim::BackEndBase
String | get_all_locales () const
| Get a list of all locales supported by all IMEngineFactories.
IMEngineFactoryPointer | get_factory (const String &uuid) const
uint32 | get_factories_for_encoding (std::vector< IMEngineFactoryPointer > &factories, const String &encoding=String("")) const
| Get the IMEngine factories list for specific encoding.
uint32 | get_factories_for_language (std::vector< IMEngineFactoryPointer > &factories, const String &language=String("")) const
| Get the IMEngine factories list for specific language.
IMEngineFactoryPointer | get_default_factory (const String &language, const String &encoding) const
| Get the default IMEngineFactory for a specific language and encoding.
void | set_default_factory (const String &language, const String &uuid)
| Set the default IMEngineFactory for a specific language.
IMEngineFactoryPointer | get_next_factory (const String &language, const String &encoding, const String &cur_uuid) const
| Get the next IMEngineFactory for a specific language and encoding.
IMEngineFactoryPointer | get_previous_factory (const String &language, const String &encoding, const String &cur_uuid) const
| Get the previous IMEngineFactory for a specific language and encoding.
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::BackEndBase
| BackEndBase (const ConfigPointer &config)
| Default constructor.
virtual | ~BackEndBase ()
bool | add_factory (const IMEngineFactoryPointer &factory)
void | clear ()
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

The default implementation of scim::BackEndBase interface.

## Constructor & Destructor Documentation

## CommonBackEnd()

scim::CommonBackEnd::CommonBackEnd | ( | const ConfigPointer & | config,
|  | const std::vector< String > & | modules )

Constructor.

Parameters

  config | The pointer to the Config object.
  modules | The list of the IMEngine modules to be loaded.

## ~CommonBackEnd()

virtual scim::CommonBackEnd::~CommonBackEnd | ( |  | ) |

virtual

The documentation for this class was generated from the following file:

- scim_backend.h